VaporShell.RDS.psd1

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
@{
  FunctionsToExport = @('Add-VSRDSDBClusterDBClusterRole','Add-VSRDSDBClusterScalingConfiguration','Add-VSRDSDBInstanceDBInstanceRole','Add-VSRDSDBInstanceProcessorFeature','Add-VSRDSDBProxyAuthFormat','Add-VSRDSDBProxyEndpointTagFormat','Add-VSRDSDBProxyTagFormat','Add-VSRDSDBProxyTargetGroupConnectionPoolConfigurationInfoFormat','Add-VSRDSDBSecurityGroupIngress','Add-VSRDSOptionGroupOptionConfiguration','Add-VSRDSOptionGroupOptionSetting','New-VSRDSDBCluster','New-VSRDSDBClusterParameterGroup','New-VSRDSDBInstance','New-VSRDSDBParameterGroup','New-VSRDSDBProxy','New-VSRDSDBProxyEndpoint','New-VSRDSDBProxyTargetGroup','New-VSRDSDBSecurityGroup','New-VSRDSDBSecurityGroupIngress','New-VSRDSDBSubnetGroup','New-VSRDSEventSubscription','New-VSRDSGlobalCluster','New-VSRDSOptionGroup')
  FileList = @()
  RootModule = 'VaporShell.RDS.psm1'
  RequiredAssemblies = @()
  FormatsToProcess = @()
  CompanyName = 'SCRT HQ'
  Author = 'Nate Ferrell'
  TypesToProcess = @()
  CmdletsToExport = @()
  AliasesToExport = '*'
  Description = 'Service-specific module for AWS CloudFormation for service:'
  RequiredModules = @('VaporShell')
  ModuleVersion = '3.0.0'
  PrivateData = @{
    PSData = @{
      LicenseUri = 'https://github.com/SCRT-HQ/VaporShell/blob/master/LICENSE'
      ProjectUri = 'https://github.com/SCRT-HQ/VaporShell'
      Prerelease = 'beta20210915r1'
      Tags = @('AWS','CloudFormation','CFN','DevOps','Automation','JSON','YAML','IaC','InfrastructureAsCode','PSEdition_Core','PSEdition_Desktop','Windows','Mac','Linux')
      IconUri = 'https://spotinst.com/app/themes/spotinst-theme/dist/images/features/elastigroup/intro/icons/cloudformation.svg'
    }
  }
  Copyright = '(c) SCRT HQ 2020 . All rights reserved.'
  VariablesToExport = '*'
  ScriptsToProcess = @('VaporShell.RDS.Classes.ps1')
  GUID = '69310eac-15c0-4b4c-9065-fb04876b4df1'
  ProcessorArchitecture = 'None'
  PowerShellVersion = '5.1'
  DotNetFrameworkVersion = '4.7.2'
}